"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Remove undefined props from object
 */
function clean(obj) {
    return Object.entries(obj).reduce((acc, [key, val]) => {
        return val ? { ...acc, [key]: val } : acc;
    }, {});
}
/**
 * Generate a Google Calendar event URL
 */
function googleCalendarEventUrl(args) {
    const { start, end, ...rest } = args;
    const searchParams = {
        action: 'TEMPLATE',
        dates: `${start}/${end}`,
        ...rest,
    };
    const urlSearchParams = new URLSearchParams(clean(searchParams));
    return ('https://calendar.google.com/calendar/event?' + urlSearchParams.toString());
}
exports.googleCalendarEventUrl = googleCalendarEventUrl;
//# sourceMappingURL=index.js.map